# QwtDialNeedle Class Reference

Base class for needles that can be used in a QwtDial. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtDialNeedle:
[legend]

List of all members.

## Public Member Functions

virtual void | draw (QPainter *painter, const QPoint &center, int length, double direction, QPalette::ColorGroup cg=QPalette::Active) const =0
const QPalette & | palette () const
| QwtDialNeedle ()
virtual void | setPalette (const QPalette &)
virtual | ~QwtDialNeedle ()

## Static Protected Member Functions

static void | drawKnob (QPainter *, const QPoint &pos, int width, const QBrush &, bool sunken)

## Detailed Description

Base class for needles that can be used in a QwtDial.

QwtDialNeedle is a pointer that indicates a value by pointing to a specific direction.

Qwt is missing a set of good looking needles. Contributions are very welcome.

See also:
  QwtDial, QwtCompass

## Constructor & Destructor Documentation

QwtDialNeedle::QwtDialNeedle | ( |  | ) |

Constructor.

QwtDialNeedle::~QwtDialNeedle | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void QwtDialNeedle::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction,
|  | QPalette::ColorGroup | cg = `QPalette::Active`
| ) |  | const`[pure virtual]`

Draw the needle

Parameters:

  painter | Painter
  center | Center of the dial, start position for the needle
  length | Length of the needle
  direction | Direction of the needle, in degrees counter clockwise
  cg | Color group, used for painting

Implemented in QwtDialSimpleNeedle, QwtCompassMagnetNeedle, and QwtCompassWindArrow.

void QwtDialNeedle::drawKnob | ( | QPainter * | painter,
|  | const QPoint & | pos,
|  | int | width,
|  | const QBrush & | brush,
|  | bool | sunken
| ) |  | `[static, protected]`

Draw the knob.

const QPalette & QwtDialNeedle::palette | ( |  | ) | const

Returns:
  the palette of the needle.

void QwtDialNeedle::setPalette | ( | const QPalette & | palette | ) | `[virtual]`

Sets the palette for the needle.

Parameters:

  palette | New Palette